Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 205819 - allow to run partial queries not only from context menu
allow to run partial queries not only from context menu
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
7.2
All All
: P3 (vote)
: 7.4
Assigned To: Jaroslav Havlin
issues@db
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 05:26 UTC by medeag
Modified: 2013-02-23 04:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch v1 (3.71 KB, patch)
2011-12-02 22:06 UTC, matthias42
Details | Diff
potential icon (795 bytes, image/png)
2011-12-02 22:07 UTC, matthias42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medeag 2011-12-02 05:26:58 UTC
Currently we can only run selection from context menu, i find this a little bit inconvenient. Is it possible to implement  same functionality with run sql icon(like in pgAdmin3)?
Comment 1 matthias42 2011-12-02 22:06:43 UTC
Created attachment 113782 [details]
proposed patch v1

It is - and it is easy :-)

I added another icon and wired it to the existing action.
Comment 2 matthias42 2011-12-02 22:07:55 UTC
Created attachment 113783 [details]
potential icon
Comment 3 Jaroslav Havlin 2013-02-20 15:11:51 UTC
Thank you for the patch, Matthias!

I've added some changes:

If no text is selected, and the cursor is at the end of line, the statement that ends at that line is used as selected statement.

The border of the icon was slightly sharpened, as it seemed a little blurry with my L&F to me.

Integrated as http://hg.netbeans.org/core-main/rev/e2f17410b099
Comment 4 Quality Engineering 2013-02-23 04:11:29 UTC
Integrated into 'main-golden', will be available in build *201302222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e2f17410b099
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #205819: Allow to run partial queries not only from context menu


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo